package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 企业文件信息对象 enterprise_photo
 * 
 * @author ruoyi
 * @date 2023-02-20
 */
public class EnterprisePhoto extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 企业信息审核表id */
    @Excel(name = "企业信息审核表id")
    private Long enterpriseId;

    /** 图片地址 */
    @Excel(name = "图片地址")
    private String path;

    /** 图片类型 1：营业执照，2：身份证正面，3：身份证反面 */
    @Excel(name = "图片类型 1：营业执照，2：身份证正面，3：身份证反面")
    private String type;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setEnterpriseId(Long enterpriseId) 
    {
        this.enterpriseId = enterpriseId;
    }

    public Long getEnterpriseId() 
    {
        return enterpriseId;
    }
    public void setPath(String path) 
    {
        this.path = path;
    }

    public String getPath() 
    {
        return path;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("enterpriseId", getEnterpriseId())
            .append("path", getPath())
            .append("type", getType())
            .append("remark", getRemark())
            .toString();
    }
}
